libzypp 17.37.10

contextfacade.h File Reference
`#include "zypp/ng/context.h"`
`#include <zypp/ng/workflows/mediafacade.h>`

Go to the source code of this file.

## Classes
class | zyppng::SyncContext

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zyppng

## Typedefs
template<typename OpType>
using | zyppng::MaybeAsyncContextRef = std::conditional_t<detail::is_async_op_v<OpType>, ContextRef, SyncContextRef>

## Functions
| zypp::DEFINE_PTR_TYPE (KeyRing)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
template<typename T>
auto | zyppng::joinPipeline (SyncContextRef ctx, T &&val)